Package org.apache.solr.cluster.api

## Interface ShardReplica

    public interface ShardReplica

replica of a shard

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `alive()` Is the replica alive now
`String` `collection()` collection which it belongs to
`String` `core()` Name of the core where this is hosted
`long` `indexSize()` Size of the index in bytes.
`boolean` `isLeader()` Is this replica the leader
`String` `name()` Name of this replica
`String` `node()` Name of the node where this replica is present
`String` `shard()` The shard which it belongs to
`Replica.Type` `type()` type of the replica
`String` `url​(ApiType type)` Baseurl for this replica

### Method Detail

#### name

    String name()

Name of this replica

#### shard

    String shard()

The shard which it belongs to

#### collection

    String collection()

collection which it belongs to

#### node

    String node()

Name of the node where this replica is present

#### core

    String core()

Name of the core where this is hosted

#### type

    Replica.Type type()

type of the replica

#### alive

    boolean alive()

Is the replica alive now

#### indexSize

    long indexSize()

Size of the index in bytes. Keep in mind that this may result in a network call. Also keep in mind that the value that you get is at best an approximation. The exact size may vary from replica to replica

#### isLeader

    boolean isLeader()

Is this replica the leader

#### url

    String url​(ApiType type)

Baseurl for this replica